%define anolis_release 3
Name:           xdg-dbus-proxy
Version:        0.1.3
Release:        %{anolis_release}%{?dist}
Summary:        Filtering proxy for D-Bus connections

License:        LGPLv2+
URL:            https://github.com/flatpak/xdg-dbus-proxy/
Source0:        https://github.com/flatpak/xdg-dbus-proxy/releases/download/%{version}/%{name}-%{version}.tar.xz

BuildRequires: make
BuildRequires:  docbook-style-xsl
BuildRequires:  gcc
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(gio-unix-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  /usr/bin/xsltproc

Requires:       dbus

%description
xdg-dbus-proxy is a filtering proxy for D-Bus connections. It was originally
part of the flatpak project, but it has been broken out as a standalone module
to facilitate using it in other contexts.

%prep
%autosetup -p1

%build
%configure
%make_build

%install
%make_install
%generate_compatibility_deps

%files
%license COPYING
%dir %{abidir}
%{_bindir}/xdg-dbus-proxy
%{abidir}/xdg-dbus-proxy-option.list
%{_mandir}/man1/xdg-dbus-proxy.1*

%changelog
* Fri Oct 14 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 0.1.3-3
- optimise spec file

* Wed Oct 12 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.1.3-2
- add api

* Fri Apr 15 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 0.1.3-1
- init from upstream
